//
// Module: Ebins
// Author: Hassan Siddiqui
//
// Description: 
//
// An abstract interface layer providing
//  ebin information used to construct the arf.
// The source of the ebin information can be 
// eg the CAL or RMF dataset, 
//
// Modifications: See ChangeLog
// 
// $Id: Ebins.h,v 1.1.1.1 2004/02/09 14:54:12 eojero Exp $

#ifndef Ebins_H
#define Ebins_H

/* General */

/* SAS-specific */
#include "CalCommon.h" // IntervalVector defined here

/* Local */


class Ebins
{
public:

  /* Constructor */
  Ebins(){};

  /* Destructor */
  virtual ~Ebins(){};

  virtual unsigned ebinFirstIndex()   const = 0; 

  virtual unsigned ebinLastIndex()    const = 0;

  virtual unsigned numberOfEbins()    const = 0;

  virtual const Interval<double> 
  ebins( unsigned int row ) const = 0;

private:
};

#endif
